[arch-commits] Commit in netspeed-applet/trunk (PKGBUILD netspeed-applet.install)

Jan de Groot jgc at archlinux.org
Sun Oct 12 10:43:10 EDT 2008


    Date: Sunday, October 12, 2008 @ 10:43:10
  Author: jgc
Revision: 15082

upgpkg: netspeed-applet 0.15.2-1

Modified:
  netspeed-applet/trunk/PKGBUILD
  netspeed-applet/trunk/netspeed-applet.install

-------------------------+
 PKGBUILD                |   28 ++++++++++++----------------
 netspeed-applet.install |    9 ++-------
 2 files changed, 14 insertions(+), 23 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-12 14:37:21 UTC (rev 15081)
+++ PKGBUILD	2008-10-12 14:43:10 UTC (rev 15082)
@@ -1,29 +1,25 @@
 # $Id$
-# Maintainer: Arjan Timmerman <arjan at archlinux.org>
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+# Contributor: Arjan Timmerman <arjan at archlinux.org>
 
 pkgname=netspeed-applet
-pkgver=0.14
-pkgrel=2
-pkgdesc="Little GNOME applet that shows how much traffic occurs on a specified network device."
+pkgver=0.15.2
+pkgrel=1
+pkgdesc="GNOME applet that shows how much traffic occurs on a specified network device."
 arch=(i686 x86_64)
 license=('GPL')
-url="http://www.wh-hms.uni-ulm.de/~mfcn/netspeed/"
-depends=('gnome-panel>=2.18.1' 'libgtop>=2.14.8-2' 'scrollkeeper')
-makedepends=('perlxml' 'pkgconfig' 'gnome-doc-utils>=0.10.3')
+url="http://www.gnome.org/projects/netspeed/"
+depends=('gnome-panel>=2.24.0' 'libgtop>=2.24.0' 'wireless_tools')
+makedepends=('perlxml' 'pkgconfig' 'gnome-doc-utils>=0.14.0')
 install=netspeed-applet.install
 source=(http://www.wh-hms.uni-ulm.de/~mfcn/shared/netspeed/netspeed_applet-${pkgver}.tar.gz)
-md5sums=('e542f9b4a42f13833b9972520dfe0ac9')
+md5sums=('5989bb70aec6645409b0e300539caa4b')
 
 build() {
-  cd $startdir/src/netspeed_applet-${pkgver}
-  find . -name Makefile.in -exec sed -i -e 's/-scrollkeeper-update.*//' {} \;
-  if [ -f omf.make ]; then
-    sed -i -e 's/-scrollkeeper-update.*//' omf.make
-  fi
-
+  cd "${srcdir}/netspeed_applet-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc \
               --libexecdir=/usr/lib/netspeed-applet \
-              --localstatedir=/var --disable-scrollkeeper
+              --localstatedir=/var --disable-scrollkeeper || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR="${pkgdir}" install
 }

Modified: netspeed-applet.install
===================================================================
--- netspeed-applet.install	2008-10-12 14:37:21 UTC (rev 15081)
+++ netspeed-applet.install	2008-10-12 14:43:10 UTC (rev 15082)
@@ -1,16 +1,11 @@
 post_install() {
-  scrollkeeper-update -q -p var/lib/scrollkeeper
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }
 
 post_upgrade() {
-  post_install $1
+  post_install
 }
 
 post_remove() {
   post_install
 }
-
-op=$1
-shift
-
-$op $*




More information about the arch-commits mailing list